List all versions for a branch.
Versions are ordered by deployed_at descending (most recent first). Each version represents a git commit that was deployed.
GET
/
branches
/
{branch_id}
/
versions
List Versions
curl --request GET \
--url https://api.example.com/branches/{branch_id}/versionsimport requests
url = "https://api.example.com/branches/{branch_id}/versions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/branches/{branch_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"versions": [
{
"author_email": "<string>",
"author_name": "<string>",
"branch_id": "<string>",
"deployed_at": "2023-11-07T05:31:56Z",
"git_branch": "<string>",
"git_hash": "<string>",
"id": "<string>",
"image_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"failure_diagnostics": {},
"failure_reason": "<string>",
"git_message": "",
"image_expires_at": "2023-11-07T05:31:56Z",
"is_dirty": false,
"last_rollback_at": "2023-11-07T05:31:56Z",
"replicas": 0,
"retired_at": "2023-11-07T05:31:56Z",
"rollback_count": 0,
"rolled_back_at": "2023-11-07T05:31:56Z",
"source_filesystem_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"branch_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Query Parameters
Maximum versions to return
Required range:
1 <= x <= 100Was this page helpful?
⌘I
List Versions
